Topic
3 replies Latest Post - ‏2012-10-22T15:16:23Z by jeffmil
jeffmil
jeffmil
3 Posts
ACCEPTED ANSWER

Pinned topic Help please! Problem installing Worklight 5.0 on fresh Eclipse Indigo

‏2012-10-22T01:20:37Z |
I have changed the requiredJava to 1.6 per the instructions. Running Win XP SR3 or more. I installed Eclipse Indigo, then tried Help > Install New Software, tried the drag-and-drop from the Eclipse marketplace, and tried a local install from iws-update-site-wde.5.0.0.3.zip!/. I even tried turning off my firewall. All give the following error:

Cannot complete the install because one or more required items could not be found.
Software being installed: IBM Worklight Studio 5.0.30.v20120808_2026 (com.ibm.imp.tools.feature.feature.group 5.0.30.v20120808_2026)
Missing requirement: Model Plug-in 7.0.400.v20120731_1538 (com.ibm.etools.webtools.model 7.0.400.v20120731_1538) requires 'bundle org.eclipse.gmf.runtime.emf.type.core [1.0.0,2.0.0)' but it could not be found
Cannot satisfy dependency:
From: Web Page Generation Core Plugin 7.2.300.v20120731_1538 (com.ibm.etools.webtools.webpage.core 7.2.300.v20120731_1538)
To: bundle com.ibm.etools.webtools.model [7.0.0,8.0.0)
Cannot satisfy dependency:
From: IBM Worklight Studio 5.0.30.v20120808_2026 (com.ibm.imp.tools.feature.feature.group 5.0.30.v20120808_2026)
To: com.ibm.wdt.webtools.ajax.feature.feature.group 1.0.0
Cannot satisfy dependency:
From: AJAX Web Tools 1.0.0.v20120731_1538 (com.ibm.wdt.webtools.ajax.feature.feature.group 1.0.0.v20120731_1538)
To: com.ibm.etools.webtools.webpage.core http://7.2.300.v20120731_1538

Deselection Dojo and the RPE does not help. What's wrong here?
  • jeffmil
    jeffmil
    3 Posts
    ACCEPTED ANSWER

    Re: Help please! Problem installing Worklight 5.0 on fresh Eclipse Indigo

    ‏2012-10-22T01:22:41Z  in response to jeffmil
    Forgot to mention, this problem is with the JEE Indigo version.
  • tdressel1
    tdressel1
    6 Posts
    ACCEPTED ANSWER

    Re: Help please! Problem installing Worklight 5.0 on fresh Eclipse Indigo

    ‏2012-10-22T13:43:15Z  in response to jeffmil
    Please try 'Help -> Check for Updates' and install any Eclipse updates. Then try installing Worklight. Let us know if this helps.

    Thanks.

    -=- Tom Dressel
    • jeffmil
      jeffmil
      3 Posts
      ACCEPTED ANSWER

      Re: Help please! Problem installing Worklight 5.0 on fresh Eclipse Indigo

      ‏2012-10-22T15:16:23Z  in response to tdressel1
      Thanks Tom. I did a Check for Updates and there weren't any. But it got me thinking. So I tried Install New Software and selected all sites instead of just the Worklight site that I tried previously. That request failed because evidently my Eclipse repository status was wrong. It told me my request failed because CVS and Mylyn were already installed, and they would be updated in the list of installed components. So I cancelled out of that and tried installing Worklight again. This time there were no missing components and Worklight installed!
      So there is a problem with the list of plugins with the default Indigo JEE installation, at least on some instances of the install. Those apparently missing components are not missing, just not properly registered. Running Install New Software, selecting all repositories, letting it fail and fix itself and then cancelling, will allow Worklight to install succesfully. I see here http://marketplace.eclipse.org/content/ibm-worklight-developer-edition/metrics#.UIUwyJLFtil that others have had similar problems, and most are probably due to Eclipse not registering installed components correctly, not due to Worklight. Maybe a footnote on the dW page would help avoid this. All good now.